## Index

### Classes

- DynamoStore

### Interfaces

- Config

### Type aliases

- ModelConstructor
- SessionValidityEnsurer
- TableNameResolver

### Functions

- DEFAULT_SESSION_VALIDITY_ENSURER
- DEFAULT_TABLE_NAME_RESOLVER
- updateDynamoEasyConfig

### Object literals

- dynamoEasyConfig

## Type aliases

### ModelConstructor

ModelConstructor: object

- Defined in model/model-constructor.ts:7

Type for model class

#### Type declaration

### SessionValidityEnsurer

SessionValidityEnsurer: function

- Defined in dynamo/session-validity-ensurer.type.ts:7

Type for the session validity ensurer

#### Type declaration

- - (): Promise<void>

  - #### Returns Promise<void>

### TableNameResolver

TableNameResolver: function

- Defined in dynamo/table-name-resolver.type.ts:7

Type for the table name resolver

#### Type declaration

- - (tableName: string): string

  - #### Parameters

    - ##### tableName: string

    #### Returns string

## Functions

### Const DEFAULT_SESSION_VALIDITY_ENSURER

- DEFAULT_SESSION_VALIDITY_ENSURER(): Promise<void>

- - Defined in dynamo/default-session-validity-ensurer.const.ts:10

  A simple no-op function which tells that we always have a valid session, which obviously requires some valid session checking and also renewing of a potentially expired (or non existing) session

  #### Returns Promise<void>

### Const DEFAULT_TABLE_NAME_RESOLVER

- DEFAULT_TABLE_NAME_RESOLVER(tableName: string): string

- - Defined in dynamo/default-table-name-resolver.const.ts:7

  simple no-op function to always use table name without modification

  #### Parameters

  - ##### tableName: string

  #### Returns string

### updateDynamoEasyConfig

- updateDynamoEasyConfig(config: Partial<Config>): void

- - Defined in config/update-config.function.ts:10

  update the global dynamoEasy Config

  #### Parameters

  - ##### config: Partial<Config>

  #### Returns void

## Object literals

### Const dynamoEasyConfig

dynamoEasyConfig: object

- Defined in config/dynamo-easy-config.ts:14

to update the config you must do it before importing any model, basically before anything else. the config cannot be changed afterwards

### dateMapper

dateMapper: MapperForType<Date, StringAttribute> = dateToStringMapper

- Defined in config/dynamo-easy-config.ts:15

### logReceiver

logReceiver: DEFAULT_LOG_RECEIVER = DEFAULT_LOG_RECEIVER

- Defined in config/dynamo-easy-config.ts:16

### sessionValidityEnsurer

sessionValidityEnsurer: function = DEFAULT_SESSION_VALIDITY_ENSURER

- Defined in config/dynamo-easy-config.ts:18

#### Type declaration

- - (): Promise<void>

  - #### Returns Promise<void>

### tableNameResolver

tableNameResolver: DEFAULT_TABLE_NAME_RESOLVER = DEFAULT_TABLE_NAME_RESOLVER

- Defined in config/dynamo-easy-config.ts:17